> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.7 Image to Video

> - Wan 2.7 image-to-video model, supporting single-image-to-video, first-last-frame transition, and video continuation
- Async processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/wan-2.7-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Wan 2.7 Image to Video
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Wan2.7
      summary: Wan 2.7 Image to Video
      description: >
        - Wan 2.7 image-to-video model, supporting single-image-to-video,
        first-last-frame transition, and video continuation

        - Async processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: wan-2.7-image-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WanV27I2VRequest'
            examples:
              example_0:
                summary: Single image to video
                value:
                  model: wan-2.7-image-to-video
                  generation_type: image-to-video
                  image_urls:
                    - https://example.com/start.jpg
                  prompt: The camera slowly pushes in as the subject smiles
                  duration: 5
                  resolution: 1080p
              example_1:
                summary: First-last-frame transition
                value:
                  model: wan-2.7-image-to-video
                  generation_type: first-last-frame
                  image_urls:
                    - https://example.com/day.jpg
                    - https://example.com/night.jpg
                  prompt: >-
                    A smooth transition from day to night in the same city
                    street
                  duration: 8
              example_2:
                summary: Video continuation
                value:
                  model: wan-2.7-image-to-video
                  generation_type: video-continuation
                  video_url: https://example.com/clip.mp4
                  prompt: >-
                    Continue the camera move with the character turning toward
                    the window
                  duration: 6
                  enable_prompt_expansion: true
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    WanV27I2VRequest:
      type: object
      required:
        - model
      properties:
        model:
          description: >-
            `wan-2.7-image-to-video`: Single-image-to-video, first-last-frame
            transition, video continuation
          examples:
            - wan-2.7-image-to-video
          type: string
          default: wan-2.7-image-to-video
        generation_type:
          anyOf:
            - enum:
                - image-to-video
                - first-last-frame
                - video-continuation
              type: string
            - type: 'null'
          default: null
          description: >
            Generation mode


            **Options:**

            - `image-to-video` -- Single image to video, exactly 1 image in
            `image_urls`

            - `first-last-frame` -- First-last-frame transition, exactly 2
            images in `image_urls`

            - `video-continuation` -- Video continuation based on `video_url`


            **Notes:**

            - Auto-inferred from input when not specified
          example: image-to-video
        image_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: >
            List of image URLs


            **Notes:**

            - Image-to-video: provide 1 image

            - First-last-frame transition: provide 2 images, in order of first
            frame and last frame
          example:
            - https://example.com/start.jpg
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Public URL of the input video

            **Notes:**
            - Used for video continuation mode
            - Cannot be provided together with `image_urls`
          example: https://example.com/clip.mp4
        prompt:
          anyOf:
            - maxLength: 5000
              type: string
            - type: 'null'
          default: null
          description: >-
            Optional prompt for describing desired camera movement, subject
            actions, or scene transitions
          example: The camera slowly pushes in as the subject smiles
        audio_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Public URL of the driving audio

            **Notes:**
            - Optional, supports WAV / MP3
            - Model generates background music automatically if not provided
          example: https://example.com/music.mp3
        duration:
          default: 5
          description: Output video duration in seconds, supports integer values from 2-15
          maximum: 15
          minimum: 2
          type: integer
          example: 2
        resolution:
          default: 1080p
          description: |
            Output video resolution

            **Options:** `720p`, `1080p`
          enum:
            - 720p
            - 1080p
          type: string
          example: 720p
        negative_prompt:
          anyOf:
            - maxLength: 500
              type: string
            - type: 'null'
          default: null
          description: Negative prompt describing content to avoid
          example: blurry, jitter
        seed:
          anyOf:
            - maximum: 2147483647
              minimum: 0
              type: integer
            - type: 'null'
          default: null
          description: Random seed for reproducibility
          example: 123
        enable_prompt_expansion:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Whether to enable prompt expansion. Uses model default if not
            specified
          x-advanced: true
          example: true
        enable_safety_checker:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Whether to enable safety checker. Uses model default if not
            specified
          x-advanced: true
          example: true
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time in seconds
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````